%define upstream_name	 IO-Socket-INET6
%define upstream_version 2.69

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Object interface for AF_INET|AF_INET6 domain sockets
License:    BSD-like
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Errno)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Socket)
BuildRequires: perl(Socket6) >= 0.120.0
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-Socket6
BuildArch:  noarch

%description
IO::Socket::INET6 provides an object interface to creating and using sockets in
both AF_INET|AF_INET6 domain. It is built upon the IO::Socket interface and
inherits all the methods defined by IO::Socket.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/IO
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.690.0-2.mga3
+ Revision: 368535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 02 2011 kharec <kharec> 2.690.0-1.mga2
+ Revision: 175225
- update to 2.69

* Tue Feb 01 2011 dmorgan <dmorgan> 2.670.0-1.mga1
+ Revision: 46025
- New version

* Sat Jan 22 2011 jquelin <jquelin> 2.650.0-2.mga1
+ Revision: 32094
- mageia rebuild
- imported package perl-IO-Socket-INET6

